> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Threads

> List all conversation threads.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/conversations
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/conversations:
    get:
      tags:
        - Conversations
      summary: List Threads
      description: List all conversation threads.
      operationId: core_api_v1_controllers_conversations_list_threads
      parameters:
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
        - in: query
          name: email
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Email
          required: false
        - in: query
          name: start_date
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Start Date
          required: false
        - in: query
          name: end_date
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: End Date
          required: false
        - in: query
          name: evaluation
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Evaluation
          required: false
        - in: query
          name: organization
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Organization
          required: false
        - in: query
          name: exclude_organization
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Exclude Organization
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThreadListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    ThreadListOut:
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/ThreadOut'
          title: Data
          type: array
        has_more:
          title: Has More
          type: boolean
        total:
          title: Total
          type: integer
      required:
        - data
        - has_more
        - total
      title: ThreadListOut
      type: object
    ThreadOut:
      properties:
        object:
          default: thread
          title: Object
          type: string
        id:
          title: Id
          type: string
        user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: User Email
        evaluation:
          anyOf:
            - type: string
            - type: 'null'
          title: Evaluation
        evaluation_comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Evaluation Comment
        reviewed_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviewed At
        admin_status:
          anyOf:
            - $ref: '#/components/schemas/ThreadAdminStatusOut'
            - type: 'null'
        admin_tags:
          default: []
          items:
            $ref: '#/components/schemas/ThreadAdminTagOut'
          title: Admin Tags
          type: array
        llm_judge_evaluated:
          default: false
          title: Llm Judge Evaluated
          type: boolean
        llm_judge_need_review:
          default: false
          title: Llm Judge Need Review
          type: boolean
        cx_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Cx Score
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        message_count:
          default: 0
          title: Message Count
          type: integer
      required:
        - id
      title: ThreadOut
      type: object
    ThreadAdminStatusOut:
      properties:
        object:
          default: thread_admin_status
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
      required:
        - id
        - name
      title: ThreadAdminStatusOut
      type: object
    ThreadAdminTagOut:
      properties:
        object:
          default: admin_tag
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
      required:
        - id
        - name
      title: ThreadAdminTagOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````